Bug 973582 - rpm: fail build if depgenerator exits with non zero code
rpm: fail build if depgenerator exits with non zero code
Status: NEW
Product: Fedora
Classification: Fedora
Component: rpm (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: packaging-team-maint
Fedora Extras Quality Assurance
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-12 05:10 EDT by Stanislav Ochotnicky
Modified: 2015-05-29 05:38 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Stanislav Ochotnicky 2013-06-12 05:10:35 EDT
rpm runs depgenerators and uses their output to produce provides/requires. However depgenerator has no way to stop the build if the package contains packaging problems. One such problem is files being put in incorrect subpackage (see bug 973304).

Depgenerator is the only phase of build that has access to mapping between files and subpackages and any checks that could be done, have to be done there. 

I would like to ask if rpm could honor exit codes of generators and fail whole build if they exit with non-zero code. This way we would catch packaging problems early instead of late when dependencies are being pulled.

Obviously there are ways this could break buildroots (but there are multiple ways to do that already). A simple suggestion would be that for rpmbuild to honor depgenerator exit code there has to be output of length XXX on stderr. That way we can force depgenerators to describe why the build is failing.

Version-Release number of selected component (if applicable):
rpm-4.10.3.1-1.fc18.x86_64 (but I assume this is true of trunk as well)
Comment 1 Fedora End Of Life 2013-09-16 10:09:50 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 2 Fedora End Of Life 2015-05-29 05:07:03 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Note You need to log in before you can comment on or make changes to this bug.